/*
 * Title        :  AppConfig.java
 * Package      :  org.gridbus.gridscape.util
 * Project      :  Gridscape Portal
 * Description	:  		
 * Created on   :  Mar 2, 2006
 * Author		:  Hussein Gibbins (hag@cs.mu.oz.au)
 * Copyright    :  (c) 2004, Grid Computing and Distributed Systems Laboratory, 
 * 					   Dept. of Computer Science and Software Engineering,
 * 					   University of Melbourne, Australia.
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later  version.
 * See the GNU General Public License (http://www.gnu.org/copyleft/gpl.html)for more details.
 * 
 */

package org.gridbus.gridscape.core;

/**
 * Holds configuration information for portal presentation.
 * 
 * @author hag
 *
 */
public class AppConfig {

    /**
     * 
     */
    public static final String MAP_TYPE = "G_MAP_TYPE";
    /**
     * 
     */
    public static final String SATELLITE_TYPE = "G_SATELLITE_TYPE";
    /**
     * 
     */
    public static final String HYBRID_TYPE = "G_HYBRID_TYPE";
    
    private String mapKey = "";
    private String dimH = "";
    private String dimW = "";
    private String lat = "";
    private String lng = "";
    private int zoomLevel = 14; // zoom level
    private String mapType = "";
    private boolean allowZoom = true;
    private boolean showToolbar = true;
    private boolean showList = true;
    private String baseURL = ""; // base url

    /**
     * @return allowZoom
     */
    public boolean isAllowZoom() {
        return allowZoom;
    }
    /**
     * @param allowZoom
     */
    public void setAllowZoom(boolean allowZoom) {
        this.allowZoom = allowZoom;
    }
    /**
     * @return dimH
     */
    public String getDimH() {
        return dimH;
    }
    /**
     * @param dimH
     */
    public void setDimH(String dimH) {
        this.dimH = dimH;
    }
    /**
     * @return dimW
     */
    public String getDimW() {
        return dimW;
    }
    /**
     * @param dimW
     */
    public void setDimW(String dimW) {
        this.dimW = dimW;
    }
    /**
     * @return lat
     */
    public String getLat() {
        return lat;
    }
    /**
     * @param lat
     */
    public void setLat(String lat) {
        this.lat = lat;
    }
    /**
     * @return lng
     */
    public String getLng() {
        return lng;
    }
    /**
     * @param lng
     */
    public void setLng(String lng) {
        this.lng = lng;
    }
    /**
     * @return mapKey
     */
    public String getMapKey() {
        return mapKey;
    }
    /**
     * @param mapKey
     */
    public void setMapKey(String mapKey) {
        this.mapKey = mapKey;
    }
    /**
     * @return mapType
     */
    public String getMapType() {
        return mapType;
    }
    /**
     * @param mapType
     */
    public void setMapType(String mapType) {
        this.mapType = mapType;
    }
    /**
     * @return showList
     */
    public boolean isShowList() {
        return showList;
    }
    /**
     * @param showList
     */
    public void setShowList(boolean showList) {
        this.showList = showList;
    }
    /**
     * @return showToolbar
     */
    public boolean isShowToolbar() {
        return showToolbar;
    }
    /**
     * @param showToolbar
     */
    public void setShowToolbar(boolean showToolbar) {
        this.showToolbar = showToolbar;
    }
    /**
     * @return zoomLevel
     */
    public int getZoomLevel() {
        return zoomLevel;
    }
    /**
     * @param zoomLevel
     */
    public void setZoomLevel(int zoomLevel) {
        this.zoomLevel = zoomLevel;
    }
    /**
     * @return baseURL
     */
    public String getBaseURL() {
        return baseURL;
    }
    /**
     * @param baseURL
     */
    public void setBaseURL(String baseURL) {
        this.baseURL = baseURL;
    }

}
