/*
 * Title        :  Country.java
 * Package      :  org.gridbus.gridscape.core
 * Project      :  Gridscape Core
 * Description	:  		
 * Created on   :  Feb 11, 2006
 * Author		:  Hussein Gibbins (hag@cs.mu.oz.au)
 * Copyright    :  (c) 2006, Grid Computing and Distributed Systems Laboratory, 
 * 					   Dept. of Computer Science and Software Engineering,
 * 					   University of Melbourne, Australia.
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later  version.
 * See the GNU General Public License (http://www.gnu.org/copyleft/gpl.html)for more details.
 * 
 */

package org.gridbus.gridscape.core;

/**
 * The Country in which a resource is located.  The code field is used to map to image
 * filenames (country flags).
 * 
 * @author hag
 *
 */
public class Country {

    private int id = 1;
    private String name = null;
    private String code = null;
    
    /**
     * 
     */
    public Country() {}
    
    /**
     * @return code
     */
    public String getCode() {
        return code;
    }
    /**
     * @param code
     */
    public void setCode(String code) {
        this.code = code;
    }
    /**
     * @return id
     */
    public int getID() {
        return id;
    }
    /**
     * @param id
     */
    public void setID(int id) {
        this.id = id;
    }
    /**
     * @return name
     */
    public String getName() {
        return name;
    }
    /**
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }
}
