/*
 * Title        :  Location.java
 * Package      :  org.gridbus.gridscape.core
 * Project      :  Gridscape Core
 * Description	:  		
 * Created on   :  Feb 7, 2006
 * Author		:  Hussein Gibbins (hag@cs.mu.oz.au)
 * Copyright    :  (c) 2006, Grid Computing and Distributed Systems Laboratory, 
 * 					   Dept. of Computer Science and Software Engineering,
 * 					   University of Melbourne, Australia.
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later  version.
 * See the GNU General Public License (http://www.gnu.org/copyleft/gpl.html)for more details.
 * 
 */

package org.gridbus.gridscape.core;

/**
 * The location of a resource.  Specifies the Latitude and Longitude coords for the 
 * resource so that it can be plotted on the map accurately.
 * 
 * @author hag
 *
 */
public class Location {

    private String latitude = "0.0";
    private String longitude = "0.0";
    private Country country = new Country();
    
    /**
     * @param latitude
     * @param longitude
     */
    public Location (String latitude,String longitude) {
        this.latitude = latitude;
        this.longitude = longitude;
    }
    
    /**
     * 
     */
    public Location () {
        this.latitude = "0.0";
        this.longitude = "0.0";
    }
    
    /**
     * @return latitude
     */
    public String getLatitude() {
        return latitude;
    }
    /**
     * @param latitude
     */
    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }
    /**
     * @return longitude
     */
    public String getLongitude() {
        return longitude;
    }
    /**
     * @param longitude
     */
    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }
    /**
     * @return country
     */
    public Country getCountry() {
        return country;
    }
    /**
     * @param country
     */
    public void setCountry(Country country) {
        this.country = country;
    }
    
}
