/*
 * Title        :  Resource.java
 * Package      :  org.gridbus.gridscape.core
 * Project      :  Gridscape Core
 * Description	:  		
 * Created on   :  Feb 7, 2006
 * Author		:  Hussein Gibbins (hag@cs.mu.oz.au)
 * Copyright    :  (c) 2006, Grid Computing and Distributed Systems Laboratory, 
 * 					   Dept. of Computer Science and Software Engineering,
 * 					   University of Melbourne, Australia.
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later  version.
 * See the GNU General Public License (http://www.gnu.org/copyleft/gpl.html)for more details.
 * 
 */

package org.gridbus.gridscape.core;

import org.gridbus.gridscape.core.display.Displayable;

/**
 * @author hag
 *
 */
public class Resource implements Displayable {

    private int ID = -1;
    private String hostname = "";
    private String description = "";
    private String type = "";
    private boolean online = false;

    private Location location = null;
    private ResourceInfo info = null;

    /**
     * 
     */
    public Resource() {}
    
    /**
     * @return description
     */
    public String getDescription() {
        return description;
    }
    /**
     * @param description
     */
    public void setDescription(String description) {
        this.description = description;
    }
    /**
     * @return hostname
     */
    public String getHostname() {
        return hostname;
    }
    /**
     * @param hostname
     */
    public void setHostname(String hostname) {
        this.hostname = hostname;
    }
    /**
     * @return id
     */
    public int getID() {
        return ID;
    }
    /**
     * @param id
     */
    public void setID(int id) {
        ID = id;
    }
    /**
     * @return location
     */
    public Location getLocation() {
        return location;
    }
    /**
     * @param location
     */
    public void setLocation(Location location) {
        this.location = location;
    }

    /**
     * @return info
     */
    public ResourceInfo getInfo() {
        return info;
    }

    /**
     * @param info
     */
    public void setInfo(ResourceInfo info) {
        this.info = info;
    }

    /**
     * @return type
     */
    public String getType() {
        return type;
    }

    /**
     * @param type
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * @return whether the resource is online
     */
    public boolean isOnline() {
        return online;
    }

    /**
     * @param online
     */
    public void setOnline(boolean online) {
        this.online = online;
    }
    
    /**
     * @return xml
     */
    public String toXML() {
        String flagURL = "";

        flagURL = "/gridscape/flags/"+this.getLocation().getCountry().getCode();
        
        String xml = "";
        xml += "<?xml version=\"1.0\" encoding=\"ISO-8859-1\"?>";
        xml += "<resource>";
        xml += "<image><image-flag src=\""+flagURL+".png\" width=\"47\" height=\"28\"/></image>";
        xml += "<hostname><value>"+this.getHostname()+"</value></hostname>";
        xml += "<description><value>"+this.getDescription()+"</value></description>";
        xml += "<type><value>"+this.getType()+"</value></type>";
        xml += "</resource>";
        
        return xml;
    }
}
