/*
 * Title        :  ResourceInfo.java
 * Package      :  org.gridbus.biogrid.gridscape
 * Project      :  Gridscape Resource Monitor
 * Description	:  		
 * Created on   :  Feb 9, 2006
 * Author		:  Hussein Gibbins (hag@cs.mu.oz.au)
 * Copyright    :  (c) 2006, Grid Computing and Distributed Systems Laboratory, 
 * 					   Dept. of Computer Science and Software Engineering,
 * 					   University of Melbourne, Australia.
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later  version.
 * See the GNU General Public License (http://www.gnu.org/copyleft/gpl.html)for more details.
 * 
 */

package org.gridbus.gridscape.core;

import org.gridbus.gridscape.core.display.Displayable;

/**
 * Information about the resource.  This information may be different
 * for each type of resource and may include things such as available
 * services, resource capabilities, load, etc.
 * 
 * @author hag
 *
 */
public class ResourceInfo implements Displayable {

    private String info;
    
    /**
     * 
     */
    public ResourceInfo() {}

    /**
     * @return info
     */
    public String getInfo() {
        return info;
    }

    /**
     * @param info
     */
    public void setInfo(String info) {
        this.info = info;
    }
    
    /**
     * @return xml
     */
    public String toXML() {
        return this.getInfo();
    }
}
