/*
 * Title        :  GridscapeDisplay.java
 * Package      :  org.gridbus.gridscape.portlets
 * Project      :  Gridscape Portal
 * Description	:  		
 * Created on   :  Feb 9, 2006
 * Author		:  Hussein Gibbins (hag@cs.mu.oz.au)
 * Copyright    :  (c) 2006, Grid Computing and Distributed Systems Laboratory, 
 * 					   Dept. of Computer Science and Software Engineering,
 * 					   University of Melbourne, Australia.
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later  version.
 * See the GNU General Public License (http://www.gnu.org/copyleft/gpl.html)for more details.
 * 
 */

package org.gridbus.gridscape.portlets;

import java.io.IOException;
import java.util.LinkedHashMap;

import javax.portlet.ActionRequest;
import javax.portlet.ActionResponse;
import javax.portlet.GenericPortlet;
import javax.portlet.PortletException;
import javax.portlet.RenderRequest;
import javax.portlet.RenderResponse;

import org.gridbus.gridscape.core.AppConfig;
import org.gridbus.gridscape.core.data.DBQuerier;

/**
 * Portlet for displaying resources
 * 
 * @author hag
 */
public class GridscapeDisplay extends GenericPortlet {
    
	/**
	 * @param request
	 * @param response
	 * @throws PortletException
	 * @throws IOException
	 */
    public void processAction(ActionRequest request, ActionResponse response) throws PortletException, IOException {
        String query = request.getParameter("query");
        if (query == null) {
            query = "";
        }
        response.setRenderParameter("query", query);
    }

    /**
     * @param request
     * @param response
     * @throws PortletException
     * @throws IOException
     */
    public void doView(RenderRequest request, RenderResponse response) throws PortletException, IOException {

        DBQuerier querier = null;
        LinkedHashMap resources = null;
        AppConfig appcfg = null;
        
        String query = request.getParameter("query");
        
        try {
            // put into init
            querier = new DBQuerier();
            appcfg = querier.getAppConfig();
            resources = querier.getResources(query);
            
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            try {
                querier.disconnect();
            } catch (Exception e) {}
        }

//        System.out.println("^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ "+response.encodeURL(request.getContextPath()+"/icons/gridscape_logo.gif"));
        request.setAttribute("appcfg", appcfg);
        request.setAttribute("query",query);
        request.setAttribute("url", response.createActionURL().toString());
        request.setAttribute("resources",resources);
        getPortletContext().getRequestDispatcher("/jsp/gridscape_display.jsp").include(request, response);
    }
}
