//
// Include the following in the html before function calls.
//
//  <script type="text/javascript">    
//  //<![CDATA[
//    
//	    // Global GMarkers + info
//	    var markers = [];
//	    var markersInfo = [];
//	    var map;
//	    var baseURL = ""; // set to base path of web app. 
//
//  //]]>
//  </script>
//

// debugging
function popUpProperties(inobj) {
	op = window.open();
	op.document.open('text/plain');
	for (objprop in inobj) {
	op.document.write(objprop + ' => ' + inobj[objprop] + '\n');
	}
	op.document.close();
}

// for updating global positioning automatically...
// needs to read selected resources coords, not maps (initially)
function updateCoords(x,y,lat,lng) {
	document.getElementById(lat).value = x;
	document.getElementById(lng).value = y;
}

// for updating global positioning automatically...
function updateZoomLvl(zoomlvl,elem) {
	document.getElementById(elem).value = zoomlvl;
}

function updateMapType(maptype,elem) {
	document.getElementById(elem+"_"+maptype).checked = true;
}

// resets initial value of a form element
function clearDefaultValue(el) {
	if (el.defaultValue==el.value) el.value = "";
}

function initToggle(img) {
	img.src = baseURL+"/icons/plus.gif";
}

function initToggleOpen(img) {
	img.src = baseURL+"/icons/minus.gif";
}

function Toggle(node)
{
	var sibling = getNextSibling(node);
	// Unfold the branch if it isn't visible
	if (sibling.style.display == 'none')
	{
		// Change the image (if there is an image)
		if (node.childNodes.length > 0)
		{
			if (node.childNodes.item(0).nodeName == "IMG")
			{
				node.childNodes.item(0).src = baseURL+"/icons/minus.gif";
			}
		}

		sibling.style.display = 'block';
	}
	// Collapse the branch if it IS visible
	else
	{
		// Change the image (if there is an image)
		if (node.childNodes.length > 0)
		{
			if (node.childNodes.item(0).nodeName == "IMG")
			{
				node.childNodes.item(0).src = baseURL+"/icons/plus.gif";
			}
		}

		sibling.style.display = 'none';
	}

}

// This function picks up the selected option of the flyToRegion select and moves and zooms
function flyToRegion() {
	var select = document.getElementById("flyToRegion");
	var region = select.options[select.selectedIndex].value;
	showRegion(region);
}

// This function picks up the selected option of the flyTo select and opens its info window
function flyTo() {
	var select = document.getElementById("resource");
	var dest = select.options[select.selectedIndex].value;
	showInfo(dest);
}

// This function picks up the click and opens the corresponding info window
function showInfo(i) {
//	map.recenterOrPanToLatLng(new GPoint(markers[i].point.x,markers[i].point.y));
	markers[i].openInfoWindowHtml(markersInfo[i]);
}

// fix for firefox
function getNextSibling(startBrother){
	endBrother=startBrother.nextSibling;
	while(endBrother.nodeType!=1){
		endBrother = endBrother.nextSibling;
	}
	return endBrother;
}

function findPosX(obj)
{
	var curleft = 0;
	if (obj.offsetParent)
	{
		while (obj.offsetParent)
		{
			curleft += obj.offsetLeft
			obj = obj.offsetParent;
		}
	}
	else if (obj.x)
		curleft += obj.x;
	return curleft;
}

function findPosY(obj)
{
	var curtop = 0;
	if (obj.offsetParent)
	{
		while (obj.offsetParent)
		{
			curtop += obj.offsetTop
			obj = obj.offsetParent;
		}
	}
	else if (obj.y)
		curtop += obj.y;
	return curtop;
}

// position logo onto the map
function positionLogo() {
	var mapdiv = document.getElementById("map");
	var logodiv = document.getElementById("logo");
	logodiv.style.display = 'block';
	logodiv.style.left = findPosX(mapdiv)+2;
	logodiv.style.top = (findPosY(mapdiv)+mapdiv.offsetHeight)-58;
}

// update display on resize
function updateDisplay() {
	positionLogo();
}
	
// pan and zoom to a predefined area
function showRegion(region) {
	switch (region) {
		case "usa":
			map.centerAndZoom(new GPoint(-93.867187, 38.959409), 13);
			break;
		case "europe":
			map.centerAndZoom(new GPoint(16.962891, 49.037868), 13);
			break;
		case "india":
			map.centerAndZoom(new GPoint(80.859375, 22.350076), 13);
			break;
		case "oceania":
			map.centerAndZoom(new GPoint(144.140625, -23.805450), 14);
			break;
		default:
			map.centerAndZoom(new GPoint(0, 15.741612), 15);
			break;                                                                                                                                                                                      
	}
}

function createMarker(colour) {

	var icon = new GIcon();
	icon.image = baseURL+"/icons/marker_"+colour+".png";
	icon.shadow = baseURL+"/icons/marker_shadow.png";
	icon.iconSize = new GSize(12, 20);
	icon.shadowSize = new GSize(22, 20);
	icon.iconAnchor = new GPoint(6, 20);
	icon.infoWindowAnchor = new GPoint(5, 1);

	return icon;
}

