<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!-- 
<xsl:output method='html' version='1.0' encoding='UTF-8' indent='yes'/>
-->
<xsl:output method="xml" indent="yes"/>

<xsl:template match="/">

<info>
	<xsl:for-each select="/info/*[local-name()='MemberServiceEPR']">
	<service>
		<name><xsl:value-of select="*[local-name()='Address']/text()"/></name>
		<type><xsl:value-of select="*[local-name()='ReferenceProperties']/*/text()"/></type>
	</service>
	</xsl:for-each>
    <xsl:for-each select="/info/*[local-name()='ComputingElement']">
    <compute>
	<name><xsl:value-of select="@*[local-name()='Name']"/></name>
	<attributes>
		<attribute>
			<name>TotalCPUs</name>
			<value><xsl:value-of select="*[local-name()='Info']/@*[local-name()='TotalCPUs']"/></value>
		</attribute>
		<attribute>
			<name>EstimatedResponseTime</name>
			<value><xsl:value-of select="*[local-name()='State']/@*[local-name()='EstimatedResponseTime']"/></value>
		</attribute>
		<attribute>
			<name>FreeCPUs</name>
			<value><xsl:value-of select="*[local-name()='State']/@*[local-name()='FreeCPUs']"/></value>
		</attribute>
		<attribute>
			<name>RunningJobs</name>
			<value><xsl:value-of select="*[local-name()='State']/@*[local-name()='RunningJobs']"/></value>
		</attribute>
		<attribute>
			<name>Status</name>
			<value><xsl:value-of select="*[local-name()='State']/@*[local-name()='Status']"/></value>
		</attribute>
		<attribute>
			<name>TotalJobs</name>
			<value><xsl:value-of select="*[local-name()='State']/@*[local-name()='TotalJobs']"/></value>
		</attribute>
		<attribute>
			<name>WaitingJobs</name>
			<value><xsl:value-of select="*[local-name()='State']/@*[local-name()='WaitingJobs']"/></value>
		</attribute>
		<attribute>
			<name>WorstResponseTime</name>
			<value><xsl:value-of select="*[local-name()='State']/@*[local-name()='WorstResponseTime']"/></value>
		</attribute>
		<attribute>
			<name>MaxCPUTime</name>
			<value><xsl:value-of select="*[local-name()='Policy']/@*[local-name()='MaxCPUTime']"/></value>
		</attribute>
		<attribute>
			<name>MaxRunningJobs</name>
			<value><xsl:value-of select="*[local-name()='Policy']/@*[local-name()='MaxRunningJobs']"/></value>
		</attribute>
		<attribute>
			<name>MaxTotalJobs</name>
			<value><xsl:value-of select="*[local-name()='Policy']/@*[local-name()='MaxTotalJobs']"/></value>
		</attribute>
		<attribute>
			<name>MaxWallClockTime</name>
			<value><xsl:value-of select="*[local-name()='Policy']/@*[local-name()='MaxWallClockTime']"/></value>
		</attribute>		
		<attribute>
			<name>Priority</name>
			<value><xsl:value-of select="*[local-name()='Policy']/@*[local-name()='Priority']"/></value>
		</attribute>
	</attributes>
    </compute>
    </xsl:for-each>

</info>

</xsl:template>
</xsl:stylesheet>