/*
 * Title        :  InfoGatherer.java
 * Package      :  org.gridbus.gridscape.resourcemonitor
 * Project      :  Gridscape Resource Monitor
 * Description	:  		
 * Created on   :  Feb 9, 2006
 * Author		:  Hussein Gibbins (hag@cs.mu.oz.au)
 * Copyright    :  (c) 2006, Grid Computing and Distributed Systems Laboratory, 
 * 					   Dept. of Computer Science and Software Engineering,
 * 					   University of Melbourne, Australia.
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later  version.
 * See the GNU General Public License (http://www.gnu.org/copyleft/gpl.html)for more details.
 * 
 */

package org.gridbus.gridscape.resourcemonitor;

import org.gridbus.gridscape.core.Resource;
import org.gridbus.gridscape.core.ResourceInfo;

/**
 * The InfoGatherer mechanism is devised so that Gridscape is able to support any
 * type of resource via reflection as long as an InfoGatherer plugin has been developed for that
 * resource and is dropped into the plugins package.
 * 
 * The gatherInfo method should be implemented by all InfoGatherers and be used to update
 * resource information.
 * 
 * @author hag
 *
 */
public interface InfoGatherer {
    /**
     * This method should query a resource or respective information service, gather information
     * and return it here.
     * 
     * @param r
     * @return resource information that was gathered
     */
    public abstract ResourceInfo gatherInfo(Resource r);
}
